<?xml version="1.0" encoding="UTF-8"?>
<part class="form">
  <style>
    <property name="Geometry">{346,103,662,554}</property>
    <property name="Name">[nfe_setupcst]</property>
    <property name="Caption">[Definicao de CST Padroes]</property>
    <property name="AlwaysOnTop">.F.</property>
    <property name="AutoCenter">.T.</property>
    <property name="Font">
      <font name="Courier New" width="0" height="-12" weight="400"/>
    </property>
    <property name="FormType">[dlgModal]</property>
    <property name="Modal">.F.</property>
    <property name="ScopeVarObj">[Local]</property>
    <property name="lClipper">.T.</property>
    <property name="lExitOnEnter">.T.</property>
    <property name="lExitOnESC">.T.</property>
    <property name="Variables">
{modus,aCbm_var16,aCbm_var17,aCbm_var04,aCbm_var08}    </property>
    <property name="FromStyle">[Popup]</property>
    <property name="Clipsiblings">.F.</property>
    <property name="Clipchildren">.F.</property>
    <property name="TitleBar">.T.</property>
    <property name="StyleBorder">[3 - Sizable (Default)]</property>
    <property name="nBackColor">16777215</property>
    <property name="Icon">[]</property>
    <property name="NoIcon">.F.</property>
    <property name="SystemMenu">.F.</property>
    <property name="Minimizebox">.F.</property>
    <property name="Maximizebox">.F.</property>
    <property name="AbsAlignment">.T.</property>
    <property name="WindowState">[1 - Normal (Default)]</property>
    <property name="minHeight">-1</property>
    <property name="maxHeight">-1</property>
    <property name="minWidth">-1</property>
    <property name="maxWidth">-1</property>
    <property name="ScrollBars">[0 - None (Default)]</property>
    <property name="DSControl">.F.</property>
  </style>
  <method name="common">
    <![CDATA[FUNCTION CstPadroesXml
zNfTaxaSt:=0
zNfMargemSt:=0
zNfOrig:="0"
if znfRegime='1'
   zNf01CSTicm:="102"
   zNfFFCSTicm:="500"
   zNfIICSTicm:="400"
   zNfcstpis:="49"
   zNfcstcof:="49"
   zeNfcstpis:="99"
   zeNfcstcof:="99"
   zeNFCSTipi:="99"
   zsNFCSTipi:="99"
   zNfModalid:="3"
   znflista:="3"
   zNfTxPis:=0
   zNfTxCof:=0
   zNfTxICMs:=0
endif
if znfRegime='2'
   zNf01CSTicm:="00"
   zNfFFCSTicm:="60"
   zNfIICSTicm:="40"
   zNfcstpis:="01"
   zNfcstcof:="01"
   zeNfcstpis:="50"
   zeNfcstcof:="50"   
   zeNFCSTipi:="99"
   zsNFCSTipi:="99"
   zNfModalid:="3"
   znflista:="3"
   zNfTxPis:=0.65
   zNfTxCof:=3.00
   zNfTxICMs:=18.00
endif
if znfRegime='3'
   zNf01CSTicm:="00"
   zNfFFCSTicm:="60"
   zNfIICSTicm:="40"
   zNfcstpis:="01"
   zNfcstcof:="01"
   zeNfcstpis:="50"
   zeNfcstcof:="50"   
   zeNFCSTipi:="99"
   zsNFCSTipi:="99"
   zNfModalid:="3"
   znflista:="3"
   zNfTxPis:=1.65
   zNfTxCof:=7.60
   zNfTxICMs:=18.00
endif
ENDFUNC

Function RefreshTudo
SetDlgItemText( getmodalhandle(), ovar04:id, Efd_CstIcm(zNf01CSTicm) )
SetDlgItemText( getmodalhandle(), ovar05:id, Efd_CstIcm(zNfFFCSTicm) )
SetDlgItemText( getmodalhandle(), ovar06:id, Efd_CstIcm(zNfIICSTicm) )
SetDlgItemText( getmodalhandle(), ovar08:id, Efd_CstPis(zNfcstpis) )
SetDlgItemText( getmodalhandle(), ovar09:id, Efd_CstPis(zNfcstcof) )
SetDlgItemText( getmodalhandle(), ovar10:id, Efd_CstPis(zeNfcstpis) )
SetDlgItemText( getmodalhandle(), ovar11:id, Efd_CstPis(zeNfcstcof) )
SetDlgItemText( getmodalhandle(), ovar16:id, aCbm_var16[Val(zNfModalid)+1] )
SetDlgItemText( getmodalhandle(), ovar17:id, aCbm_var16[Val(znflista)+1] )
oIcmsLabel:SetValue( Str(zNfTxICMs,6,2)+"%")
oPisLabel:SetValue( Str(zNfTxPis,6,2)+"%")
oCofinsLabel:SetValue( Str(zNfTxCof,6,2)+"%")
oIcmsLabel:Refresh()
oPisLabel:Refresh()
oCofinsLabel:Refresh()
ENDFUNC
]]>
  </method>
  <method name="onFormInit">
    <![CDATA[parameters o, p1
modus:=p1]]>
  </method>
  <method name="onDlgInit">
    <![CDATA[if(modus<>NIL,SetWindowText( oDlg:handle, modus ),)
IF znfRegime='1'
   oRadioSimples:oGroup:SetValue(1)
ELSEIF znfRegime='2'
   oRadioSimples:oGroup:SetValue(2)
ELSE
   znfRegime:='3'
   oRadioSimples:oGroup:SetValue(3)
ENDIF

aCbm_var04 := Efd_CstIcm()
ovar04:aitems := aCbm_var04
ovar04:Requery()

ovar05:aitems := aCbm_var04
ovar05:Requery()

ovar06:aitems := aCbm_var04
ovar06:Requery()

aCbm_var08 := Efd_CstPis()
ovar08:aitems := aCbm_var08
ovar08:Requery()
ovar09:aitems := aCbm_var08
ovar09:Requery()
ovar10:aitems := aCbm_var08
ovar10:Requery()
ovar11:aitems := aCbm_var08
ovar11:Requery()

aCbm_var16 := {{'0-Valor Agregado','0'},{'1-Valor da Pauta','1'},{'2-Preco MAX. Consumidor','2'},{'3-Valor da Operacao','3'}}
ovar16:aitems := aCbm_var16
ovar16:Requery() 
aCbm_var17 := {{'0-Preco Tabelado','0'},{'1-Lista Negativa','1'},{'2-Lista Positiva','2'},{'3-Lista Neutra','3'}}
ovar17:aitems := aCbm_var17
ovar17:Requery()
RefreshTudo()
// ovar04:SetValue( Efd_CstIcm(zNf01CSTicm) )
SET(5,1960) ]]>
  </method>
  <method name="onDlgExit">
    <![CDATA[
  se sNfRegime='1' .AND. xGetEnv("REGIME_TRIBUTARIO_S_P_R_") <> "S" entao xSetEnv("REGIME_TRIBUTARIO_S_P_R_","S")
  se sNfRegime='2' .AND. xGetEnv("REGIME_TRIBUTARIO_S_P_R_") <> "P" entao xSetEnv("REGIME_TRIBUTARIO_S_P_R_","P")
  se sNfRegime='3' .AND. xGetEnv("REGIME_TRIBUTARIO_S_P_R_") <> "R" entao xSetEnv("REGIME_TRIBUTARIO_S_P_R_","R")]]>
  </method>
  <part class="line">
    <style>
      <property name="Geometry">{7,510,651,2}</property>
      <property name="Name">[oLine1]</property>
    </style>
  </part>
  <part class="group">
    <style>
      <property name="Geometry">{7,8,651,498}</property>
      <property name="Name">[oGroup1]</property>
      <property name="TabIndex">1</property>
    </style>
    <part class="radiogroup">
      <style>
        <property name="Geometry">{18,27,243,96}</property>
        <property name="Name">[oRadioRegime]</property>
        <property name="varName">[vRadiogroup1]</property>
        <property name="Caption">[Regime de Apuracao]</property>
        <property name="TextColor">16711680</property>
        <property name="font">
          <font name="Lucida Bright" width="0" height="-19" weight="600"/>
        </property>
        <property name="TabIndex">1002</property>
      </style>
      <part class="radiobutton">
        <style>
          <property name="Geometry">{31,51,188,22}</property>
          <property name="Name">[oRadioSimples]</property>
          <property name="Caption">[Simples Nacional]</property>
          <property name="font">
            <font name="Lucida Bright" width="0" height="-15" weight="600"/>
          </property>
          <property name="TabIndex">1010</property>
        </style>
        <method name="onClick">
          <![CDATA[oRadioSimples:oGroup:nValue := 1
if znfRegime<>'1'
   znfRegime:='1'
   CstPadroesXml()
   RefreshTudo()
endif]]>
        </method>
      </part>
      <part class="radiobutton">
        <style>
          <property name="Geometry">{31,73,188,22}</property>
          <property name="Name">[oRadioPresumido]</property>
          <property name="Caption">[Lucro Presumido]</property>
          <property name="font">
            <font name="Lucida Bright" width="0" height="-15" weight="600"/>
          </property>
          <property name="TabIndex">1012</property>
        </style>
        <method name="onClick">
          <![CDATA[oRadioSimples:oGroup:nValue := 2
if znfRegime<>'2'
   znfRegime:='2'
   CstPadroesXml()
   RefreshTudo()
endif]]>
        </method>
      </part>
      <part class="radiobutton">
        <style>
          <property name="Geometry">{31,95,188,22}</property>
          <property name="Name">[oRadioReal]</property>
          <property name="Caption">[Lucro Real]</property>
          <property name="font">
            <font name="Lucida Bright" width="0" height="-15" weight="600"/>
          </property>
          <property name="TabIndex">1013</property>
        </style>
        <method name="onClick">
          <![CDATA[oRadioSimples:oGroup:nValue := 3
if znfRegime<>'3'
   znfRegime:='3'
   CstPadroesXml()
   RefreshTudo()
endif]]>
        </method>
      </part>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{268,27,269,96}</property>
        <property name="Name">[oGroup2]</property>
        <property name="Caption">[Taxas Padroes nas Vendas]</property>
        <property name="TextColor">16711680</property>
        <property name="font">
          <font name="Lucida Bright" width="0" height="-16" weight="600"/>
        </property>
        <property name="TabIndex">1004</property>
      </style>
      <part class="label">
        <style>
          <property name="Geometry">{307,49,101,19}</property>
          <property name="Name">[oLabel4]</property>
          <property name="Caption">[Taxa de ICMs]</property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">1005</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{307,71,101,19}</property>
          <property name="Name">[oLabel5]</property>
          <property name="Caption">[Taxa do PIS]</property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">1005</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{307,93,101,19}</property>
          <property name="Name">[oLabel6]</property>
          <property name="Caption">[Taxa da COFINS]</property>
          <property name="Transparent">.T.</property>
          <property name="TabIndex">1005</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{422,71,97,19}</property>
          <property name="Name">[oPisLabel]</property>
          <property name="Caption">[(Str(zNfTxPis,6,2)+&quot;%&quot;)]</property>
          <property name="Justify">[Right]</property>
          <property name="font">
            <font name="Lucida Bright" width="0" height="-16" weight="600"/>
          </property>
          <property name="TabIndex">1006</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{421,93,97,19}</property>
          <property name="Name">[oCofinsLabel]</property>
          <property name="Caption">[(Str(zNfTxCof,6,2)+&quot;%&quot;)]</property>
          <property name="Justify">[Right]</property>
          <property name="font">
            <font name="Lucida Bright" width="0" height="-16" weight="600"/>
          </property>
          <property name="TabIndex">1006</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{422,49,97,19}</property>
          <property name="Name">[oIcmsLabel]</property>
          <property name="Caption">[(Str(zNfTxICMs,6,2)+&quot;%&quot;)]</property>
          <property name="Justify">[Right]</property>
          <property name="font">
            <font name="Lucida Bright" width="0" height="-16" weight="600"/>
          </property>
          <property name="TabIndex">1006</property>
        </style>
      </part>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{18,137,628,153}</property>
        <property name="Name">[oGroup3]</property>
        <property name="Caption">[CST ICMs]</property>
        <property name="TextColor">16711680</property>
        <property name="font">
          <font name="Lucida Bright" width="0" height="-16" weight="600"/>
        </property>
        <property name="TabIndex">1007</property>
      </style>
      <part class="label">
        <style>
          <property name="Geometry">{30,153,256,16}</property>
          <property name="Name">[oSayvar04]</property>
          <property name="Caption">[Produtos com Tributacao Normal  T01:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">3</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{27,197,256,16}</property>
          <property name="Name">[oSayvar05]</property>
          <property name="Caption">[Produtos com Substituicao Trib.  FF:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">4</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{28,241,254,16}</property>
          <property name="Name">[oSayvar06]</property>
          <property name="Caption">[Produtos com Isentos de ICMS     II:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">5</property>
        </style>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{29,169,601,18}</property>
          <property name="Name">[oVar04]</property>
          <property name="varName">[zNf01CSTicm]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="AutoHScroll">.T.</property>
          <property name="VSCROLL">.T.</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar04
XmlChecaComboBox(value,ovar04,aCbm_var04) ]]>
        </method>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{29,213,601,18}</property>
          <property name="Name">[oVar05]</property>
          <property name="varName">[zNfFFCSTicm]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar05
XmlChecaComboBox(value,ovar05,aCbm_var04) ]]>
        </method>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{29,257,601,18}</property>
          <property name="Name">[oVar06]</property>
          <property name="varName">[zNfIICSTicm]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar06
XmlChecaComboBox(value,ovar06,aCbm_var04) ]]>
        </method>
      </part>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{18,298,627,114}</property>
        <property name="Name">[oGroup4]</property>
        <property name="Caption">[CST PIS / COFINS]</property>
        <property name="TextColor">16711680</property>
        <property name="font">
          <font name="Lucida Bright" width="0" height="-16" weight="600"/>
        </property>
        <property name="TabIndex">1008</property>
      </style>
      <part class="label">
        <style>
          <property name="Geometry">{31,315,112,16}</property>
          <property name="Name">[oSayvar08]</property>
          <property name="Caption">[Saidas PIS:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">6</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,335,112,16}</property>
          <property name="Name">[oSayvar09]</property>
          <property name="Caption">[Saidas COFINS:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">7</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,360,112,16}</property>
          <property name="Name">[oSayvar10]</property>
          <property name="Caption">[Entradas PIS:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">8</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,382,112,16}</property>
          <property name="Name">[oSayvar11]</property>
          <property name="Caption">[Entradas COFINS:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">9</property>
        </style>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{161,315,472,18}</property>
          <property name="Name">[oVar08]</property>
          <property name="varName">[zNfcstpis]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar08
XmlChecaComboBox(value,ovar08,aCbm_var08)]]>
        </method>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{161,335,472,18}</property>
          <property name="Name">[oVar09]</property>
          <property name="varName">[zNfcstcof]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar09
XmlChecaComboBox(value,ovar09,aCbm_var08) ]]>
        </method>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{161,360,472,18}</property>
          <property name="Name">[oVar10]</property>
          <property name="varName">[zeNfcstpis]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar10
XmlChecaComboBox(value,ovar10,aCbm_var08) ]]>
        </method>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{161,382,472,18}</property>
          <property name="Name">[oVar11]</property>
          <property name="varName">[zeNfcstcof]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar11
XmlChecaComboBox(value,ovar11,aCbm_var08) ]]>
        </method>
      </part>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{405,421,240,74}</property>
        <property name="Name">[oGroup5]</property>
        <property name="TabIndex">1009</property>
      </style>
      <part class="editbox">
        <style>
          <property name="Geometry">{587,442,21,18}</property>
          <property name="Name">[ovar13]</property>
          <property name="varName">[zNfModalid]</property>
          <property name="nMaxLength">3</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">9</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{412,442,175,16}</property>
          <property name="Name">[oSayvar13]</property>
          <property name="Caption">[CST IPI nas SAIDAS.....:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">10</property>
        </style>
      </part>
      <part class="editbox">
        <style>
          <property name="Geometry">{587,467,21,18}</property>
          <property name="Name">[ovar14]</property>
          <property name="varName">[znflista]</property>
          <property name="nMaxLength">3</property>
          <property name="3DLook">.T.</property>
          <property name="TabIndex">10</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{414,469,175,16}</property>
          <property name="Name">[oSayvar14]</property>
          <property name="Caption">[CST IPI nas ENTRADAS...:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">11</property>
        </style>
      </part>
    </part>
    <part class="group">
      <style>
        <property name="Geometry">{18,421,355,74}</property>
        <property name="Name">[oGroup6]</property>
        <property name="Caption">[Modalidade das Bases de Calculo]</property>
        <property name="TextColor">16711680</property>
        <property name="font">
          <font name="Lucida Bright" width="0" height="-15" weight="600"/>
        </property>
        <property name="TabIndex">1010</property>
      </style>
      <part class="combobox">
        <style>
          <property name="Geometry">{177,442,183,18}</property>
          <property name="Name">[ovar16]</property>
          <property name="varName">[zNfModalid]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{.....}</property>
          <property name="DisplayCount">4</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">11</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar16
XmlChecaComboBox(value,ovar16,aCbm_var16) ]]>
        </method>
      </part>
      <part class="combobox">
        <style>
          <property name="Geometry">{177,467,183,18}</property>
          <property name="Name">[ovar17]</property>
          <property name="varName">[znflista]</property>
          <property name="ColumnWidth">161</property>
          <property name="Items">{}</property>
          <property name="DisplayCount">5</property>
          <property name="TextColor">16711680</property>
          <property name="lEdit">.T.</property>
          <property name="FormatText">[UPPERCASE]</property>
          <property name="TabIndex">12</property>
        </style>
        <method name="onInteractiveChange">
          <![CDATA[Parameters value,ovar17
XmlChecaComboBox(value,ovar17,aCbm_var17) ]]>
        </method>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,442,146,16}</property>
          <property name="Name">[oSayvar16]</property>
          <property name="Caption">[Se ICMs Subst.Trib.:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">12</property>
        </style>
      </part>
      <part class="label">
        <style>
          <property name="Geometry">{31,469,146,16}</property>
          <property name="Name">[oSayvar17]</property>
          <property name="Caption">[Do Pis/Cofins......:]</property>
          <property name="BackColor">16777215</property>
          <property name="font">
            <font name="Courier New" width="0" height="-12" weight="700"/>
          </property>
          <property name="TabIndex">13</property>
        </style>
      </part>
    </part>
    <part class="buttonex">
      <style>
        <property name="Geometry">{546,27,100,96}</property>
        <property name="Name">[oButtonex1]</property>
        <property name="Caption">[Aplica em Todos os Produtos]</property>
        <property name="WordWrap">.T.</property>
        <property name="Transparent">.T.</property>
        <property name="ToolTip">[Redefine as Csts de todos os Produtos]</property>
        <property name="TabIndex">1014</property>
      </style>
      <method name="onClick">
        <![CDATA[SePnfeUpdate()]]>
      </method>
    </part>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{504,520,70,28}</property>
      <property name="Name">[oOwnerbutton1]</property>
      <property name="Id">[IDOK]</property>
      <property name="Caption">[&amp;OK]</property>
      <property name="TabIndex">1000</property>
    </style>
  </part>
  <part class="button">
    <style>
      <property name="Geometry">{588,520,70,28}</property>
      <property name="Name">[oOwnerbutton2]</property>
      <property name="Id">[IDCANCEL]</property>
      <property name="Caption">[&amp;Cancela]</property>
      <property name="TabIndex">1001</property>
    </style>
  </part>
</part>
